<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Sprint 3</title>

    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: white;
        }

        header {
            background: linear-gradient(to right, #333, #38a5f3);
            color: white;
            padding: 40px;
            text-align: left;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        h1 {
            margin: 0;
        }

        /* buttons */
        .button-container {
            display: flex;
            justify-content: center;
            align-items: center;
            margin-top: 10px;
            margin-bottom: 10px;
        }
        .button-container button {
            padding: 12px 20px;
            margin: 0 10px;
            border: none;
            border-radius: 25px;
            background-color: #38a5f3;
            color: white;
            font-size: 20px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            font-family: Calibri, sans-serif;
        }
        .button-container button:hover {
            background-color: #191c19;
        }

        .button2-container {
            display: flex;
            justify-content: left;
            align-items: left;
            margin-top: 10px;
            margin-bottom: 10px;
        }
        .button2-container button {
            padding: 12px 20px;
            margin: 0 10px;
            border: none;
            border-radius: 25px;
            background-color: #38a5f3;
            color: white;
            font-size: 20px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            font-family: Calibri, sans-serif;
        }
        .button2-container button:hover {
            background-color: #191c19;
        }

        /* subsections */
        .subsection {
            background-color: white;
            padding: 20px;
            border: 1px solid white;
            margin-top: 10px;
            margin-bottom: 10px;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }

        .subsection hr {
            border: none;
            height: 2px;
            background-color: black;
            margin: 10px 0;
        }

        /* tables */
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ccc;
            padding: 8px;
            text-align: center;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }
        th {
            background-color: #38a5f3;
            color: white;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        /* images */
        figure {
            display: inline-block;
            margin: 10px;
            width: 150px;
        }

        img {
            max-width: 100%;
            border-radius: 10px;
            height: auto;
        }

        figcaption {
            text-align: center;
            font-style: italic;
            margin-top: 5px;
        }
    </style>

</head>

<body>
    <header>
        <h1>PACTL-Sym Parser</h1>
    </header>

    <div class="button2-container">
        <button onclick="location.href='../sprints/index.html'">Voltar</button>
    </div>

    <hr>

    <div class="subsection">
        <h2>Sprint 3 (20 de Maio - 7 de Junho)</h2>

        <p>
            Sprint originalmente pensada para 2 semanas, com o objetivo de implementar o
            processamento das ações e os preparativos para a próxima sprint (de implementação
            do Ground). No entanto, descobriram-se problemas em alguns casos excepcionais de
            processamento do estado meta. Por conta disso, a sprint teve que ser estendida em
            mais uma semana, totalizando 3 semanas.
        </p>

        <p>
            <b>Objetivos:</b>
            <ul>
                <li>Mudar o processamento do estado meta para proposições negativas</li>
                <li>Fazer o processamento das ações</li>
                <li>Implementar novos casos de teste</li>
            </ul>
        </p>

        <p>
            <b>Entregas:</b>
            <ul>
                <li>Arquivo <i>src/parser_pddl.py</i>: refatoração do código de processamento
                    dos estados inicial e meta.</li>
                <li>Arquivo <i>src/domain.py</i>: implementação dos métodos para processamento
                    das ações.</li>
                <li>Arquivo <i>src/custom_types.py</i>: implementação da classe Action.</li>
            </ul>
        </p>

        <table>
            <tr>
                <th>Tarefas</th>
                <th>Tempo estimado (em horas)</th>
                <th>Tempo demandado (em horas)</th>
                <th>Membros envolvidos</th>
            </tr>

            <tr>
                <td>Mudar processamento do estado meta para proposições negativas</td>
                <td>2</td>
                <td>3</td>
                <td>Todos</td>
            </tr>
            <tr>
                <td>Discussão sobre quais estruturas utilizaremos para armazenar as ações</td>
                <td>2</td>
                <td>2</td>
                <td>Todos</td>
            </tr>
            <tr>
                <td>Processamento das ações</td>
                <td>3</td>
                <td>4</td>
                <td>Matheus e Henri</td>
            </tr>
            <tr>
                <td>Implementação dos novos casos de teste</td>
                <td>1</td>
                <td>2</td>
                <td>João</td>
            </tr>
            <tr>
                <td>Correção de bugs descobertos pelos novos testes</td>
                <td>2</td>
                <td>2</td>
                <td>João</td>
            </tr>
        </table>
    </div>

</body>
</html>